# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'em-deploy/version'

Gem::Specification.new do |spec|
  spec.name          = 'em-deploy'
  spec.version       = EmDeploy::VERSION
  spec.authors       = ['Zachary Golba']
  spec.email         = ['zak@zacharygolba.com']
  spec.summary       = %q{Easily deploy ember-cli applications with Amazon S3 and Redis.}
  spec.description   = %q{}
  spec.homepage      = 'https://github.com/zacharygolba/em-deploy'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_runtime_dependency 'aws-sdk', '~> 2.0', '>= 2.0.22'
  spec.add_runtime_dependency 'colorize', '~> 0.7', '>= 0.7.5'
  spec.add_runtime_dependency 'redis', '~> 3.2', '>= 3.2.0'
  spec.add_runtime_dependency 'ruby-progressbar', '~> 1.7', '>= 1.7.1'
end